using MaterialSkin.Core.Controls;
using VisionBuilder.UI.Common.Services;

namespace VisionBuilder.UI.Windows.Settings;

public class WindowsPasswordInputService: IPasswordInputService
{
    public string GetPassword()
    {
        if (MaterialInputBox.Prompt("Password required", "", out var password, true) == DialogResult.OK)
        {
            return password;
        }
        else
        {
            return null;
        }
    }
}